%global __requires_exclude   pear\\(PHPUnit/Framework.php)

%define  upstream_name Console_CommandLine
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear


Summary:        A full featured command line options and arguments parser
Name:           php-pear-%{upstream_name}
Version:        1.2.1
Release:        %mkrel 2
License:        MIT
Group:          Development/PHP
Source0:        http://pear.php.net/get/Console_CommandLine-%{version}.tgz
URL:            http://pear.php.net/package/Console_CommandLine
BuildRequires:  php-pear >= 1.4.7
Requires(pre):	php-pear
BuildArch:      noarch

%description
Console_CommandLine is a full featured package for managing command-line 
options and arguments highly inspired from python optparse module, it
allows 
the developer to easily build complex command line interfaces.

Main features:
  * handles sub commands (ie. $ myscript.php -q subcommand -f file),
  * can be completely built from an xml definition file,
  * generate --help and --version options automatically,
  * can be completely customized,
  * builtin support for i18n,
  * and much more...

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Console_CommandLine.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Console_CommandLine.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Console_CommandLine
fi

%files
%doc docs/Console_CommandLine/*
%{peardir}/*
%{xmldir}/Console_CommandLine.xml


%changelog
* Wed Mar 16 2016 spuhler <spuhler> 1.2.1-2.mga6
+ Revision: 992135
- removed auto-requires pear\\(PHPUnit/Framework.php)

* Mon Mar 14 2016 spuhler <spuhler> 1.2.1-1.mga6
+ Revision: 990612
- imported package php-pear-Console_CommandLine

